<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('organization_units', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('dealership_id', 25)->index();
            $table->string('group_division_id', 25)->nullable()->index();
            $table->string('division_id', 25)->nullable()->index();
            $table->string('department_id', 25)->index();
            $table->string('section_id', 25)->index();
            $table->string('unit_id', 25)->index();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('organization_units');
    }
};
